summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO42
-rw-r--r--PKGBUILD74
-rw-r--r--include-glibc-rpc.patch11
-rw-r--r--use-llvm40-static-libs.patch72
-rw-r--r--use-system-libxcb.patch80
-rw-r--r--use-system-vstsdk.patch59
6 files changed, 211 insertions, 127 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 588cfdd0ff5..eb38cd4d1f7 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,43 +1,49 @@
pkgbase = radium
pkgdesc = A graphical music editor. A next generation tracker.
- pkgver = 5.4.2
+ pkgver = 5.7.8
pkgrel = 1
url = https://users.notam02.no/~kjetism/radium/
arch = i686
arch = x86_64
license = GPL
- makedepends = cmake
makedepends = boost
- makedepends = llvm39
+ makedepends = cmake
+ makedepends = libxrandr
makedepends = lld
+ makedepends = llvm40
makedepends = qt5-tools
- makedepends = libxrandr
makedepends = steinberg-vst36
- depends = python2
- depends = libxaw
+ depends = fftw
+ depends = glu
+ depends = hicolor-icon-theme
+ depends = jack
depends = liblrdf
+ depends = libmpc
+ depends = libsamplerate
+ depends = libxaw
+ depends = libxcursor
+ depends = libxinerama
+ depends = libxkbfile
+ depends = python2
depends = qt5-webkit
depends = qt5-x11extras
- depends = libxkbfile
- depends = glu
depends = speex
- depends = fftw
- depends = jack
- depends = libxinerama
- depends = libxcursor
- depends = hicolor-icon-theme
depends = libmpc
optdepends = calf-ladspa
optdepends = ladspa-plugins
options = !strip
- source = https://github.com/kmatheussen/radium/archive/5.4.2.tar.gz
+ source = https://github.com/kmatheussen/radium/archive/5.7.8.tar.gz
+ source = include-glibc-rpc.patch
source = radium
+ source = use-llvm40-static-libs.patch
source = use-system-libxcb.patch
source = use-system-vstsdk.patch
- md5sums = 123b4ee8119010e3bb8c7fc036477ae2
- md5sums = 092735a1ff69f02e41b28a0e849179f4
- md5sums = ec8251af460ad72ebba82c718615de1b
- md5sums = f20b79f1adb0fe9b87acb249094c9103
+ sha256sums = c4196d00fa055228683909fdfaff38a8c5a7cebed69fd6efc0235d1bf4937480
+ sha256sums = 3436c478637fd1c8f7ff4089c30ba7f2048a71de8243756893df35cdb25be893
+ sha256sums = 6ea834fbf695187c244bbb1dacc1d462ded807ee4997761fdaa60d5373b386cd
+ sha256sums = 4155b427be299ba74c1d9278bcf2b72f720f55c814e01ca38f6f0afbda282890
+ sha256sums = ac41c94513ca615a71198a91160b2d605ea73c8a97a0192d275105248669df8d
+ sha256sums = ef87542ffc247109c869739e307aac79678953ef6c3074e3d1920f8da0eede9d
pkgname = radium
diff --git a/PKGBUILD b/PKGBUILD
index 7b54988d915..643db304a1f 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,60 +1,79 @@
# Maintainer: Karol "Kenji Takahashi" Wo┼║niak <kenji.sx>
# Contributor: Jakob Gahde <j5lx@fmail.co.uk>
-# Contributor: Teteros <teteros -at- opmbx -dot- org>
+# Contributor: Teteros <teteros at teknik dot io>
pkgname=radium
-pkgver=5.4.2
+pkgver=5.7.8
pkgrel=1
pkgdesc="A graphical music editor. A next generation tracker."
arch=('i686' 'x86_64')
url="https://users.notam02.no/~kjetism/radium/"
license=('GPL')
depends=(
- 'python2'
- 'libxaw'
+ 'fftw'
+ 'glu'
+ 'hicolor-icon-theme'
+ 'jack'
'liblrdf'
+ 'libmpc'
+ 'libsamplerate'
+ 'libxaw'
+ 'libxcursor'
+ 'libxinerama'
+ 'libxkbfile'
+ 'python2'
'qt5-webkit'
'qt5-x11extras'
- 'libxkbfile'
- 'glu'
'speex'
- 'fftw'
- 'jack'
- 'libxinerama'
- 'libxcursor'
- 'hicolor-icon-theme'
'libmpc'
)
-optdepends=('calf-ladspa' 'ladspa-plugins')
+optdepends=('calf-ladspa' 'ladspa-plugins' 'tcl')
makedepends=(
- 'cmake'
'boost'
- 'llvm39'
+ 'cmake'
+ 'libxrandr'
'lld'
+ 'llvm40'
'qt5-tools'
- 'libxrandr'
'steinberg-vst36'
)
options=(!strip)
source=("https://github.com/kmatheussen/${pkgname}/archive/${pkgver}.tar.gz"
+ "include-glibc-rpc.patch"
"radium"
+ "use-llvm40-static-libs.patch"
"use-system-libxcb.patch"
"use-system-vstsdk.patch"
)
-md5sums=('123b4ee8119010e3bb8c7fc036477ae2'
- '092735a1ff69f02e41b28a0e849179f4'
- 'ec8251af460ad72ebba82c718615de1b'
- 'f20b79f1adb0fe9b87acb249094c9103')
+sha256sums=('c4196d00fa055228683909fdfaff38a8c5a7cebed69fd6efc0235d1bf4937480'
+ '3436c478637fd1c8f7ff4089c30ba7f2048a71de8243756893df35cdb25be893'
+ '6ea834fbf695187c244bbb1dacc1d462ded807ee4997761fdaa60d5373b386cd'
+ '4155b427be299ba74c1d9278bcf2b72f720f55c814e01ca38f6f0afbda282890'
+ 'ac41c94513ca615a71198a91160b2d605ea73c8a97a0192d275105248669df8d'
+ 'ef87542ffc247109c869739e307aac79678953ef6c3074e3d1920f8da0eede9d')
prepare() {
cd "${pkgname}-${pkgver}"
+ # glibc legacy rpc includes were moved to libtirpc, this patch radium's libpd to locate them
+ msg2 "Patching libpd to use legacy rpc includes in libtirpc"
+ patch -Nsp1 < "${srcdir}/include-glibc-rpc.patch"
+
+ # LLVM5 is not currently supported by Radium's faust fork so we need to
+ # link llvm40 statically to avoid conflicts with any other system llvm
+ # See https://github.com/kmatheussen/radium/issues/1068
+ # and https://users.notam02.no/~kjetism/radium/forum/viewtopic.php?f=7&t=39
+ msg2 "Patching faust to link with llvm40-libs statically"
+ patch -Nsp1 < "${srcdir}/use-llvm40-static-libs.patch"
+
+ # Radium bundles libxcb 1.13+ as F22 has an older version available in repos
+ # We can use libxcb from extra repo instead
msg2 "Switching to system-wide libxcb"
patch -Nsp1 < "${srcdir}/use-system-libxcb.patch"
- # Use the VST SDK from steinberg-vst36, so the user doesn't have to
- # manually put it into his home directory
- msg2 "Switching to system-wide VST SDK"
+ # Patch paths to use VST SDK from steinberg-vst36 AUR package as
+ # JUCE expects the SDK in the users home directory
+ msg2 "Using VST SDK from steinberg-vst36 package"
patch -Nsp1 < "${srcdir}/use-system-vstsdk.patch"
}
@@ -90,10 +109,13 @@ package() {
cp -a "bin/packages/libpd-master/pure-data/" \
"${pkgdir}/opt/radium/packages/libpd-master/"
- # Radium will complain if these are missing
- msg2 "Installing Faust GUI styles"
- install -Dm644 -t "${pkgdir}/opt/radium/packages/faust2/architecture/faust/gui/Styles" \
- "bin/packages/faust2/architecture/faust/gui/Styles/"*".qss"
+ msg2 "Installing FAUST libraries and GUI styles"
+ install -dm755 "${pkgdir}/opt/radium/packages/faust2/architecture/faust/gui/Styles"
+ cp -a "bin/packages/faust2/architecture/faust/gui/Styles" \
+ "${pkgdir}/opt/radium/packages/faust2/architecture/faust/gui"
+ # Copy faust's *.lib files to be able to import them in faustdev
+ cp -a "bin/packages/faust2/architecture/"*".lib" \
+ "${pkgdir}/opt/radium/packages/faust2/architecture/"
msg2 "Installing .desktop, icon and mimetype files"
install -dm755 "${pkgdir}/usr/share/applications"
diff --git a/include-glibc-rpc.patch b/include-glibc-rpc.patch
new file mode 100644
index 00000000000..05424c6f33f
--- /dev/null
+++ b/include-glibc-rpc.patch
@@ -0,0 +1,11 @@
+diff -x .sh -aur radium-5.6.5.pristine/bin/packages/build.sh radium-5.6.5.new/bin/packages/build.sh
+--- radium-5.6.5.pristine/bin/packages/build.sh 2018-05-09 21:55:12.740084438 +0100
++++ radium-5.6.5.new/bin/packages/build.sh 2018-05-09 23:14:07.360090134 +0100
+@@ -97,6 +97,7 @@
+ tar xvzf libpd-master.tar.gz
+ cd libpd-master/
+ make clean
++sed -i '/define CFLAGS/ s|")| -I/usr/include/tirpc ")|' make.scm
+ make -j `nproc`
+ cd ..
+
diff --git a/use-llvm40-static-libs.patch b/use-llvm40-static-libs.patch
new file mode 100644
index 00000000000..65e3c4a81d2
--- /dev/null
+++ b/use-llvm40-static-libs.patch
@@ -0,0 +1,72 @@
+diff -aur radium-5.7.0.pristine/bin/packages/faust2/compiler/CMakeLists.txt radium-5.7.0.new/bin/packages/faust2/compiler/CMakeLists.txt
+--- radium-5.7.0.pristine/bin/packages/faust2/compiler/CMakeLists.txt 2018-05-29 13:38:11.000000000 +0100
++++ radium-5.7.0.new/bin/packages/faust2/compiler/CMakeLists.txt 2018-06-02 16:00:34.790083772 +0100
+@@ -5,12 +5,12 @@
+ include_directories(boxes documentator draw draw/device draw/schema errors evaluate extended generator normalize parallelize
+ parser patternmatcher propagate signals tlib utils ../libraries . ../architecture)
+ find_package(OpenSSL REQUIRED)
+-find_program(LLVM_CONFIG llvm-config HINTS /usr/bin /usr/local/bin /usr/local/opt/llvm/bin)
++find_program(LLVM_CONFIG llvm-config-4.0 HINTS /usr/bin /usr/local/bin /usr/local/opt/llvm/bin)
+ if(NOT LLVM_CONFIG)
+ message(FATAL_ERROR "Faust2 requires LLVM tooling to be present in the path")
+ endif()
+ exec_program(${LLVM_CONFIG} ARGS --includedir OUTPUT_VARIABLE LLVM_DIR)
+-exec_program(${LLVM_CONFIG} ARGS --libs OUTPUT_VARIABLE LLVM_LIBS)
++exec_program(${LLVM_CONFIG} ARGS --link-static --libfiles OUTPUT_VARIABLE LLVM_LIBS)
+ exec_program(${LLVM_CONFIG} ARGS --version OUTPUT_VARIABLE LLVM_VERSION)
+ exec_program(${LLVM_CONFIG} ARGS --ldflags OUTPUT_VARIABLE LLVM_LDFLAGS)
+
+diff -aur radium-5.7.0.pristine/bin/packages/faust2/compiler/Makefile.unix radium-5.7.0.new/bin/packages/faust2/compiler/Makefile.unix
+--- radium-5.7.0.pristine/bin/packages/faust2/compiler/Makefile.unix 2018-05-29 13:38:11.000000000 +0100
++++ radium-5.7.0.new/bin/packages/faust2/compiler/Makefile.unix 2018-06-02 16:00:34.790083772 +0100
+@@ -26,7 +26,7 @@
+ # link a suitable llvm-config to a location somewhere on your PATH, or just
+ # set LLVM_CONFIG manually.
+
+-LLVM_CONFIG = $(lastword $(wildcard /usr/bin/llvm-config* /opt/local/bin/llvm-config* /usr/local/bin/llvm-config*) $(shell which llvm-config 2> /dev/null))
++LLVM_CONFIG = /usr/bin/llvm-config-4.0
+
+ ## On Darwin build both 32 and 64-bits intel versions
+ ifeq ($(system), Darwin)
+@@ -47,7 +47,7 @@
+ endif
+ endif
+
+-LLVM_STATIC_LIBS = $(shell $(LLVM_CONFIG) --libfiles)
++LLVM_STATIC_LIBS = $(shell $(LLVM_CONFIG) --link-static --libfiles)
+ LLVM_VERSION = $(shell $(LLVM_CONFIG) --version)
+
+ ## On Windows (mingw32) we must link against the socket library.
+@@ -225,7 +225,7 @@
+ ifneq ($(findstring MINGW32, $(system)),)
+ $(CXX) $(CXXFLAGS) $(LDFLAGS) $(objects) main.o libcode.o global.o `$(LLVM_CONFIG) --ldflags` $(LLVMLIBS) $(CLANGLIBS) $(LIBS) -lpthread -o faust
+ else
+- $(CXX) $(CXXFLAGS) $(LDFLAGS) $(objects) main.o libcode.o global.o `$(LLVM_CONFIG) --ldflags` $(LLVMLIBS) $(CLANGLIBS) -ldl -lcrypto -lz -lncurses -lpthread -o faust
++ $(CXX) $(CXXFLAGS) $(LDFLAGS) $(objects) main.o libcode.o global.o `$(LLVM_CONFIG) --ldflags` $(LLVM_STATIC_LIBS) $(CLANGLIBS) -ldl -lcrypto -lz -lncurses -lpthread -o faust
+ endif
+
+ ifeq ($(system), Darwin)
+diff -aur radium-5.7.0.pristine/build_linux_common.sh radium-5.7.0.new/build_linux_common.sh
+--- radium-5.7.0.pristine/build_linux_common.sh 2018-05-29 13:38:11.000000000 +0100
++++ radium-5.7.0.new/build_linux_common.sh 2018-06-02 16:03:46.770084003 +0100
+@@ -106,17 +106,11 @@
+ PYTHONLIBPATH=`$PYTHONEXE -c "import sys;print '-L'+sys.prefix+'/lib'"`
+ PYTHONLIBNAME=`$PYTHONEXE -c "import sys;print '-lpython'+sys.version[:3]"`
+
+-LLVM_OPTS=`llvm-config --cppflags`
+-
+-MAYBELLVM=`llvm-config --libdir`/libLLVM-`llvm-config --version`.so
+-if [ -f $MAYBELLVM ]; then
+- LLVMLIBS=-lLLVM-`llvm-config --version`
+-else
+- LLVMLIBS=`llvm-config --libs`
+-fi
++LLVM_OPTS=`llvm-config-4.0 --cppflags`
++LLVMLIBS=`llvm-config-4.0 --link-static --libfiles`
+
+ if env |grep INCLUDE_FAUSTDEV ; then
+- FAUSTLDFLAGS="bin/packages/QScintilla_gpl-2.10.1/Qt4Qt5/libqscintilla2_qt5.a bin/packages/faust2/compiler/libfaust.a `$PKG --libs uuid` `llvm-config --ldflags` $LLVMLIBS -lcrypto -lncurses"
++ FAUSTLDFLAGS="bin/packages/QScintilla_gpl-2.10.1/Qt4Qt5/libqscintilla2_qt5.a bin/packages/faust2/compiler/libfaust.a `$PKG --libs uuid` $LLVMLIBS -lcrypto -lncurses"
+ else
+ FAUSTLDFLAGS=""
+ fi
diff --git a/use-system-libxcb.patch b/use-system-libxcb.patch
index febf5a68ff0..66ee585a26f 100644
--- a/use-system-libxcb.patch
+++ b/use-system-libxcb.patch
@@ -1,73 +1,55 @@
-diff -Naur package.pristine/bin/packages/build.sh package.new/bin/packages/build.sh
---- package.pristine/bin/packages/build.sh 2017-07-27 22:03:27.000000000 +0200
-+++ package.new/bin/packages/build.sh 2017-07-29 01:42:41.079439969 +0200
-@@ -168,28 +168,28 @@
+diff --no-dereference -aur radium-5.7.6.pristine/bin/packages/build.sh radium-5.7.6.new/bin/packages/build.sh
+--- radium-5.7.6.pristine/bin/packages/build.sh 2018-06-16 09:43:05.000000000 +0100
++++ radium-5.7.6.new/bin/packages/build.sh 2018-06-17 07:54:17.473316625 +0100
+@@ -168,29 +168,6 @@
cd ../
fi
-if [[ $RADIUM_QT_VERSION == 5 ]]
-then
-
-- rm -fr xcb-proto-1.12/
-- tar xvjf xcb-proto-1.12.tar.bz2
-- cd xcb-proto-1.12/
+- rm -fr xcb-proto-1.13/
+- tar xvjf xcb-proto-1.13.tar.bz2
+- cd xcb-proto-1.13/
- mkdir install
- ./configure --prefix=`pwd`/install PYTHON=`which python2`
- make
- make install
- cd ..
-
-- rm -fr libxcb-1.12
-- tar xvjf libxcb-1.12.tar.bz2
-- cd libxcb-1.12
-- patch -p1 <../libxcb-1.12.patch
-- export PKG_CONFIG_PATH=`pwd`/../xcb-proto-1.12/install/lib/pkgconfig:$PKG_CONFIG_PATH
+- rm -fr libxcb-1.13
+- tar xvjf libxcb-1.13.tar.bz2
+- cd libxcb-1.13
+- #patch -p1 <../libxcb-1.12.patch
+- export PKG_CONFIG_PATH=`pwd`/../xcb-proto-1.13/install/lib/pkgconfig:$PKG_CONFIG_PATH
- CFLAGS="$CFLAGS" CPPFLAGS="$CPPFLAGS" CPPFLAGS="$CXXFLAGS" ./configure PYTHON=`which python2`
- CFLAGS="$CFLAGS" CPPFLAGS="$CPPFLAGS" CPPFLAGS="$CXXFLAGS" make
- cd ..
-
-fi
-+# if [[ $RADIUM_QT_VERSION == 5 ]]
-+# then
-+#
-+# rm -fr xcb-proto-1.12/
-+# tar xvjf xcb-proto-1.12.tar.bz2
-+# cd xcb-proto-1.12/
-+# mkdir install
-+# ./configure --prefix=`pwd`/install PYTHON=`which python2`
-+# make
-+# make install
-+# cd ..
-+#
-+# rm -fr libxcb-1.12
-+# tar xvjf libxcb-1.12.tar.bz2
-+# cd libxcb-1.12
-+# patch -p1 <../libxcb-1.12.patch
-+# export PKG_CONFIG_PATH=`pwd`/../xcb-proto-1.12/install/lib/pkgconfig:$PKG_CONFIG_PATH
-+# CFLAGS="$CFLAGS" CPPFLAGS="$CPPFLAGS" CPPFLAGS="$CXXFLAGS" ./configure PYTHON=`which python2`
-+# CFLAGS="$CFLAGS" CPPFLAGS="$CPPFLAGS" CPPFLAGS="$CXXFLAGS" make
-+# cd ..
-+#
-+# fi
-
+-
# Build faust last since we reset the build flags.
-diff -Naur package.pristine/Qt/Qt_Main.cpp package.new/Qt/Qt_Main.cpp
---- package.pristine/Qt/Qt_Main.cpp 2017-07-27 22:03:27.000000000 +0200
-+++ package.new/Qt/Qt_Main.cpp 2017-07-29 01:41:16.904955284 +0200
-@@ -3039,6 +3039,7 @@
+
+diff --no-dereference -aur radium-5.7.6.pristine/Qt/Qt_Main.cpp radium-5.7.6.new/Qt/Qt_Main.cpp
+--- radium-5.7.6.pristine/Qt/Qt_Main.cpp 2018-06-16 09:43:05.000000000 +0100
++++ radium-5.7.6.new/Qt/Qt_Main.cpp 2018-06-17 07:58:40.783307624 +0100
+@@ -3444,18 +3444,6 @@
#endif // !defined(RELEASE)
-+/*
- #if defined(FOR_LINUX)
- {
- QString name(dlpi_name);
-@@ -3050,6 +3051,7 @@
- }
- }
- #endif
-+*/
-
+-#if defined(FOR_LINUX)
+- {
+- QString name(dlpi_name);
+- if (name.contains("libxcb.so")){
+- if (!name.contains("bin/packages/libxcb-1.13/src/.libs/")){
+- fprintf(stderr,"\n\n%c[31mError. A version of libxcb not included with Radium has been dynamically linked into the program. Something is wrong the installation of Radium.\nOlder versions of libxcb (probably before 1.11.1) are unstable with Radium.%c[0m\n\n", 0x1b, 0x1b);
+- abort();
+- }
+- }
+- }
+-#endif
+-
+ if (is_main_root)
diff --git a/use-system-vstsdk.patch b/use-system-vstsdk.patch
index 57ea49ef286..906d902767b 100644
--- a/use-system-vstsdk.patch
+++ b/use-system-vstsdk.patch
@@ -1,47 +1,38 @@
-diff -aur --no-dereference package.pristine/check_dependencies.sh package.new/check_dependencies.sh
---- package.pristine/check_dependencies.sh 2017-12-23 18:57:54.000000000 +0100
-+++ package.new/check_dependencies.sh 2017-12-30 19:54:15.480847588 +0100
-@@ -137,8 +137,8 @@
+diff --no-dereference -aur radium-5.7.6.pristine/check_dependencies.sh radium-5.7.6.new/check_dependencies.sh
+--- radium-5.7.6.pristine/check_dependencies.sh 2018-06-16 09:43:05.000000000 +0100
++++ radium-5.7.6.new/check_dependencies.sh 2018-06-17 08:02:25.453299941 +0100
+@@ -181,8 +181,8 @@
exit 5
fi
--if [[ ! -f ~/SDKs/vstsdk2.4/pluginterfaces/vst2.x/aeffect.h && ! -f ~/SDKs/"VST3 SDK"/pluginterfaces/vst2.x/aeffect.h ]] ; then
-- echo 'Steinberg VST headers not found. (Missing "~/SDKs/vstsdk2.4/pluginterfaces/vst2.x/aeffect.h or "~/SDKs/VST3 SDK/pluginterfaces/vst2.x/aeffect.h")'
-+if [[ ! -f /usr/include/vst36/pluginterfaces/vst2.x/aeffect.h && ! -f /usr/include/vst36/pluginterfaces/vst2.x/aeffect.h ]] ; then
-+ echo 'Steinberg VST headers not found. (Missing "/usr/include/vst36/pluginterfaces/vst2.x/aeffect.h or "/usr/include/vst36/pluginterfaces/vst2.x/aeffect.h")'
- echo 'You should find these files in the "VST Audio Plug-Ins SDK" from http://www.steinberg.net/en/company/developers.html'
+-if [[ ! -f ~/SDKs/vstsdk2.4/pluginterfaces/vst2.x/aeffect.h && ! -f ~/SDKs/"VST3 SDK"/pluginterfaces/vst2.x/aeffect.h && ! -f ~/SDKs/VST_SDK/VST2_SDK/pluginterfaces/vst2.x/aeffect.h ]] ; then
+- echo 'Steinberg VST headers not found. (Missing "~/SDKs/vstsdk2.4/pluginterfaces/vst2.x/aeffect.h or "~/SDKs/VST3 SDK/pluginterfaces/vst2.x/aeffect.h" or "~/SDKs/VST_SDK/VST2_SDK/pluginterfaces/vst2.x/aeffect.h")'
++if [[ ! -f /usr/include/vst36/pluginterfaces/vst2.x/aeffect.h && ! -f ~/SDKs/vstsdk2.4/pluginterfaces/vst2.x/aeffect.h && ! -f ~/SDKs/"VST3 SDK"/pluginterfaces/vst2.x/aeffect.h && ! -f ~/SDKs/VST_SDK/VST2_SDK/pluginterfaces/vst2.x/aeffect.h ]] ; then
++ echo 'Steinberg VST headers not found. (Missing "/usr/include/vst36/pluginterfaces/vst2.x/aeffect.h" or "~/SDKs/vstsdk2.4/pluginterfaces/vst2.x/aeffect.h or "~/SDKs/VST3 SDK/pluginterfaces/vst2.x/aeffect.h" or "~/SDKs/VST_SDK/VST2_SDK/pluginterfaces/vst2.x/aeffect.h")'
+ echo 'You should find these files in the "VST Audio Plug-Ins SDK" from http://www.steinberg.net/en/company/developers.html . Unless Steinberg have changed the directory structure again, it should enough to unzip the file into your ~/SDKs directory.'
exit 5
fi
-diff -aur --no-dereference package.pristine/Makefile.Qt package.new/Makefile.Qt
---- package.pristine/Makefile.Qt 2017-12-23 18:57:54.000000000 +0100
-+++ package.new/Makefile.Qt 2017-12-30 19:55:16.022340947 +0100
-@@ -225,7 +225,7 @@
+diff --no-dereference -aur radium-5.7.6.pristine/Makefile.Qt radium-5.7.6.new/Makefile.Qt
+--- radium-5.7.6.pristine/Makefile.Qt 2018-06-16 09:43:05.000000000 +0100
++++ radium-5.7.6.new/Makefile.Qt 2018-06-17 08:02:25.453299941 +0100
+@@ -235,7 +235,7 @@
FLAGOPTS = $(DEFINES) -DGUIISQT -DUSE_GFX_OP_QUEUE -DFULL_VERSION=$(FULL_VERSION) -DIS_LITTLE_ENDIAN=1 -DUSE_OPENGL=1 $(VISUAL) $(REQTYPE_TYPE) $(MENU_TYPE)
--COMMONOPT = -c $(RADIUM_BFD_CFLAGS) `cat buildtype.opt` -I$(GCDIR)/include -I$(P) -I$(PYPATH) `cat flagopts.opt` $(MIDIINC) $(OS_OPTS) $(VST_OPTS) -I${HOME}/boost_1_63_0 -I ~/SDKs/VST3\ SDK -Wextra -Wno-unused-parameter -Wno-missing-field-initializers -Wno-unknown-pragmas -fno-strict-aliasing
-+COMMONOPT = -c $(RADIUM_BFD_CFLAGS) `cat buildtype.opt` -I$(GCDIR)/include -I$(P) -I$(PYPATH) `cat flagopts.opt` $(MIDIINC) $(OS_OPTS) $(VST_OPTS) -I${HOME}/boost_1_63_0 -I /usr/include/vst36 -Wextra -Wno-unused-parameter -Wno-missing-field-initializers -Wno-unknown-pragmas -fno-strict-aliasing
+-COMMONOPT = -c $(RADIUM_BFD_CFLAGS) `cat buildtype.opt` -I$(GCDIR)/include -I$(P) -I$(PYPATH) `cat flagopts.opt` $(MIDIINC) $(OS_OPTS) $(VST_OPTS) -I${HOME}/boost_1_63_0 -I ~/SDKs/VST_SDK/VST2_SDK/ -I ~/SDKs/VST3\ SDK -I ~/SDKs/vstsdk2.4/ -Wextra -Wno-unused-parameter -Wno-missing-field-initializers -Wno-unknown-pragmas -fno-strict-aliasing
++COMMONOPT = -c $(RADIUM_BFD_CFLAGS) `cat buildtype.opt` -I$(GCDIR)/include -I$(P) -I$(PYPATH) `cat flagopts.opt` $(MIDIINC) $(OS_OPTS) $(VST_OPTS) -I${HOME}/boost_1_63_0 -I /usr/include/vst36 -I ~/SDKs/VST_SDK/VST2_SDK/ -I ~/SDKs/VST3\ SDK -I ~/SDKs/vstsdk2.4/ -Wextra -Wno-unused-parameter -Wno-missing-field-initializers -Wno-unknown-pragmas -fno-strict-aliasing
#-Wstrict-overflow=4 -Wsuggest-attribute=format -Wstringop-overflow=4
#-Wsuggest-final-types -Wsuggest-final-methods
-diff -aur --no-dereference package.pristine/pluginhost/Builds/Linux/Makefile package.new/pluginhost/Builds/Linux/Makefile
---- package.pristine/pluginhost/Builds/Linux/Makefile 2017-12-23 18:57:54.000000000 +0100
-+++ package.new/pluginhost/Builds/Linux/Makefile 2017-12-30 19:57:17.815121091 +0100
-@@ -18,7 +18,7 @@
- TARGET_ARCH := -march=native
- endif
+diff --no-dereference -aur radium-5.7.6.pristine/pluginhost/Builds/Linux/Makefile radium-5.7.6.new/pluginhost/Builds/Linux/Makefile
+--- radium-5.7.6.pristine/pluginhost/Builds/Linux/Makefile 2018-06-16 09:43:05.000000000 +0100
++++ radium-5.7.6.new/pluginhost/Builds/Linux/Makefile 2018-06-17 08:04:34.729962187 +0100
+@@ -8,7 +8,7 @@
+ CONFIG=Debug
+ endif
-- CPPFLAGS := $(DEPFLAGS) -D "LINUX=1" -D "DEBUG=1" -D "_DEBUG=1" -D "JUCE_CHECK_MEMORY_LEAKS=0" -D "JUCER_LINUX_MAKE_7346DA2A=1" -D "JUCE_APP_VERSION=1.0.0" -D "JUCE_APP_VERSION_HEX=0x10000" -I /usr/include -I /usr/include/freetype2 -I ~/SDKs/VST3\ SDK -I ../../JuceLibraryCode -I ../../JuceLibraryCode/modules -I ~/SDKs/vstsdk2.4 -DJUCE_APP_CONFIG_HEADER="\"AppConfig.h\""
-+ CPPFLAGS := $(DEPFLAGS) -D "LINUX=1" -D "DEBUG=1" -D "_DEBUG=1" -D "JUCE_CHECK_MEMORY_LEAKS=0" -D "JUCER_LINUX_MAKE_7346DA2A=1" -D "JUCE_APP_VERSION=1.0.0" -D "JUCE_APP_VERSION_HEX=0x10000" -I /usr/include -I /usr/include/freetype2 -I /usr/include/vst36 -I ../../JuceLibraryCode -I ../../JuceLibraryCode/modules -DJUCE_APP_CONFIG_HEADER="\"AppConfig.h\""
- CFLAGS += $(CPPFLAGS) $(TARGET_ARCH) -g -ggdb -O0 -I../../../Qt `cat ../../../flagopts.opt`
- CXXFLAGS += $(CFLAGS) -std=c++11
- LDFLAGS += $(TARGET_ARCH) -L$(BINDIR) -L$(LIBDIR) -L/usr/X11R6/lib/ -lX11 -lXext -lXinerama -lasound -ldl -lfreetype -lpthread -lrt
-@@ -38,7 +38,7 @@
- TARGET_ARCH := -march=native
- endif
+-COMMONCPPFLAGS := $(DEPFLAGS) -D "LINUX=1" -D "_DEBUG=1" -D "JUCE_CHECK_MEMORY_LEAKS=0" -D "JUCER_LINUX_MAKE_7346DA2A=1" -D "JUCE_APP_VERSION=1.0.0" -D "JUCE_APP_VERSION_HEX=0x10000" -I /usr/include -I /usr/include/freetype2 -I~/SDKs/VST_SDK/VST3_SDK -I ~/SDKs/VST_SDK/VST2_SDK/ -I ~/SDKs/VST3\ SDK -I ../../JuceLibraryCode -I ../../JuceLibraryCode/modules -I ~/SDKs/vstsdk2.4 -DJUCE_APP_CONFIG_HEADER="\"AppConfig.h\""
++COMMONCPPFLAGS := $(DEPFLAGS) -D "LINUX=1" -D "_DEBUG=1" -D "JUCE_CHECK_MEMORY_LEAKS=0" -D "JUCER_LINUX_MAKE_7346DA2A=1" -D "JUCE_APP_VERSION=1.0.0" -D "JUCE_APP_VERSION_HEX=0x10000" -I /usr/include -I /usr/include/freetype2 -I /usr/include/vst36 -I~/SDKs/VST_SDK/VST3_SDK -I ~/SDKs/VST_SDK/VST2_SDK/ -I ~/SDKs/VST3\ SDK -I ../../JuceLibraryCode -I ../../JuceLibraryCode/modules -I ~/SDKs/vstsdk2.4 -DJUCE_APP_CONFIG_HEADER="\"AppConfig.h\""
-- CPPFLAGS := $(DEPFLAGS) -D "LINUX=1" -D "DEBUG=1" -D "_DEBUG=1" -D "JUCE_CHECK_MEMORY_LEAKS=0" -D "JUCER_LINUX_MAKE_7346DA2A=1" -D "JUCE_APP_VERSION=1.0.0" -D "JUCE_APP_VERSION_HEX=0x10000" -I /usr/include -I /usr/include/freetype2 -I ~/SDKs/VST3\ SDK -I ../../JuceLibraryCode -I ../../JuceLibraryCode/modules -I ~/SDKs/vstsdk2.4 -DJUCE_APP_CONFIG_HEADER="\"AppConfig.h\""
-+ CPPFLAGS := $(DEPFLAGS) -D "LINUX=1" -D "DEBUG=1" -D "_DEBUG=1" -D "JUCE_CHECK_MEMORY_LEAKS=0" -D "JUCER_LINUX_MAKE_7346DA2A=1" -D "JUCE_APP_VERSION=1.0.0" -D "JUCE_APP_VERSION_HEX=0x10000" -I /usr/include -I /usr/include/freetype2 -I /usr/include/vst36 -I ../../JuceLibraryCode -I ../../JuceLibraryCode/modules -DJUCE_APP_CONFIG_HEADER="\"AppConfig.h\""
- CFLAGS += $(CPPFLAGS) $(TARGET_ARCH) -g -ggdb -O3 -I../../../Qt `cat ../../../flagopts.opt`
- CXXFLAGS += $(CFLAGS) -std=c++11
- LDFLAGS += $(TARGET_ARCH) -L$(BINDIR) -L$(LIBDIR) -L/usr/X11R6/lib/ -lX11 -lXext -lXinerama -lasound -ldl -lfreetype -lpthread -lrt
+ ifeq ($(CONFIG),Debug)
+ BINDIR := build